Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
enumerator Struct Reference

## Data Fields
VALUE | obj
ID | meth
VALUE | args
VALUE | fib
VALUE | dst
VALUE | lookahead
VALUE | feedvalue
VALUE | stop_exc
VALUE | size
VALUE(* | size_fn )(ANYARGS)

## Detailed Description

Definition at line 113 of file enumerator.c.

## Field Documentation

VALUE enumerator::args

Definition at line 116 of file enumerator.c.

Referenced by enumerator_block_call(), enumerator_each(), enumerator_init(), enumerator_init_copy(), enumerator_mark(), enumerator_size(), and inspect_enumerator().

VALUE enumerator::dst

Definition at line 118 of file enumerator.c.

Referenced by enumerator_init(), enumerator_mark(), enumerator_rewind(), get_next_values(), and next_init().

VALUE enumerator::feedvalue

Definition at line 120 of file enumerator.c.

Referenced by enumerator_feed(), enumerator_init(), enumerator_init_copy(), enumerator_mark(), enumerator_rewind(), get_next_values(), and next_ii().

VALUE enumerator::fib

Definition at line 117 of file enumerator.c.

Referenced by enumerator_init(), enumerator_init_copy(), enumerator_mark(), enumerator_rewind(), get_next_values(), and next_init().

VALUE enumerator::lookahead

Definition at line 119 of file enumerator.c.

Referenced by enumerator_init(), enumerator_init_copy(), enumerator_mark(), enumerator_next_values(), enumerator_peek_values(), enumerator_rewind(), get_next_values(), and next_init().

ID enumerator::meth

Definition at line 115 of file enumerator.c.

Referenced by enumerator_block_call(), enumerator_init(), enumerator_init_copy(), inspect_enumerator(), and obj_to_enum().

VALUE enumerator::obj

Definition at line 114 of file enumerator.c.

Referenced by enumerator_allocate(), enumerator_block_call(), enumerator_init(), enumerator_init_copy(), enumerator_mark(), enumerator_ptr(), enumerator_rewind(), enumerator_size(), and inspect_enumerator().

VALUE enumerator::size

Definition at line 122 of file enumerator.c.

Referenced by enumerator_init(), enumerator_init_copy(), enumerator_mark(), enumerator_size(), lazy_to_enum(), and obj_to_enum().

VALUE(* enumerator::size_fn)(ANYARGS)

Definition at line 123 of file enumerator.c.

Referenced by enumerator_init(), enumerator_init_copy(), enumerator_size(), lazy_set_method(), lazy_to_enum_i(), and rb_enumeratorize_with_size().

VALUE enumerator::stop_exc

Definition at line 121 of file enumerator.c.

Referenced by enumerator_init(), enumerator_mark(), enumerator_rewind(), get_next_values(), and next_i().

The documentation for this struct was generated from the following file:

- enumerator.c